## qbs 1.22.1

=== debian/changelog ===
qbs (1.22.1-2) unstable; urgency=medium

  * Mark some symbols as optional (closes: #1010755).
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 May 2022 14:05:37 +0300

qbs (1.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop docs_install_path.diff, a different fix was applied upstream.
    - Update install path for QCH docs.
  * Add a patch to fix SONAME of libqbscore.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 May 2022 11:14:40 +0300

qbs (1.22.0-4) unstable; urgency=medium

  * Disable api and blackbox tests also on mips64el.
  * Update debian/libqbscore1.22.symbols for mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Apr 2022 21:59:47 +0300

qbs (1.22.0-3) unstable; urgency=medium

  * Disable api and blackbox tests on mipsel, blackbox on riscv64.
  * Update debian/libqbscore1.22.symbols for more architectures.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Apr 2022 19:46:08 +0300

qbs (1.22.0-2) experimental; urgency=medium

  * Update debian/libqbscore1.22.symbols from buildds’ logs.
  * Update disable_tests_qtscript.diff for CMake port.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Apr 2022 00:19:07 +0300

qbs (1.22.0-1) experimental; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release (version: 1.21.0)
  * debian/*: Bump SONAME on libqbscore binary pkg to 1.21
  * debian/patches: Refresh patches for 1.21
  * debian/control: Bump standards version to 4.6.0
  * debian/control: Set requires root to no
  * debian/patch: Add tests-Make-sure-we-handle-prefix-cases-where-libPath patch
  * debian/qbs-common: Add new files added in 1.20/1.21
  * debian/libqbscore: Bump symbols ver to match pkg ver
  * debian/copyright: Update copyright to match upstream release (1.21.0)
  * debian/*: Port to use cmake as build system
  * debian/rules: Workaround bug with parallel creation of docs

  [ Dmitry Shachnev ]
  * New upstream release (1.22.0).
  * Drop tests_Make_sure_we_handle_prefix_cases_where_libPath.diff,
    included in the new release.
  * Rename libqbscore1.21 to libqbscore1.22 for upstream SONAME change.
  * Update debian/qbs-common.install and add debian/not-installed.
  * Update symbols files from the current build logs.
  * Update debian/copyright.
  * Remove patches that are not relevant since switch to CMake.
  * Add a patch to fix documentation install with CMake.
  * Remove override_dh_install target in favor of debian/not-installed.
  * Simplify override_dh_auto_clean target.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Apr 2022 21:39:30 +0300

=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Adam Majer <adamm@zombino.com>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               pkg-kde-tools,
               python3-bs4,
               python3-lxml,
               qtbase5-dev (>= 5.14.0),
               qtbase5-private-dev,
               qtdeclarative5-private-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Build-Depends-Indep: libqt5sql5-sqlite
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: qtcreator (<< 3.2.1+dfsg-8~)
Replaces: qtcreator (<< 3.2.1+dfsg-8~)
Description: cross-platform build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.

Package: qbs-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qbs (<< 1.4.3+dfsg-2~)
Replaces: qbs (<< 1.4.3+dfsg-2~)
Description: Qbs static files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs shared static files.

Package: libqbscore1.22
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qbs core library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs core shared library.

Package: qbs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqbscore1.22 (= ${binary:Version}), ${misc:Depends}
Description: Qbs development files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: examples for Qbs build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the example source projects for Qbs.

Package: qbs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qbs documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the documentation for Qbs in QCH format, which can be
 viewed using Qt Assistant from qttools5-dev-tools package.

Package: qbs-doc-html
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs HTML documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the HTML documentation for Qbs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

BUILDPATH ?= obj-$(DEB_HOST_GNU_TYPE)

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	find . -type f -name .gitignore -delete -print

override_dh_auto_configure:
	dh_auto_configure -- \
		-DQBS_ENABLE_RPATH=no \
		-DWITH_TESTS=yes \
		-DWITH_UNIT_TESTS=yes \
		-DQBS_INSTALL_PREFIX=/usr \
		-DQBS_LIB_INSTALL_DIR=lib/${DEB_HOST_MULTIARCH} \
		-DQBS_PLUGINS_INSTALL_BASE=lib/${DEB_HOST_MULTIARCH} \
		-DQBS_INSTALL_HTML_DOCS=yes \
		-DQBS_INSTALL_QCH_DOCS=yes

override_dh_auto_build-indep:
	dh_auto_build --no-parallel -- -C doc
	dh_auto_build -- -C share

override_dh_auto_install-indep:
	dh_auto_install --no-parallel -- -C doc
	dh_auto_install -- -C share

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; \
		export LD_LIBRARY_PATH=$(BUILDPATH)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
		export QBS_AUTOTEST_PROFILE=qbs_autotests; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDOUT=1; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDERR=1; \
		$(BUILDPATH)/bin/qbs-setup-toolchains /usr/bin/gcc gcc; \
		$(BUILDPATH)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
		[ -n "`$(BUILDPATH)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
			$(BUILDPATH)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
		LC_ALL=C.UTF-8 dh_auto_test --max-parallel=1
endif

override_dh_auto_test-indep:

## qbs 1.24.0+dfsg

=== debian/changelog ===
qbs (1.24.0+dfsg-4+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 1.10.0+dfsg-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 06 Feb 2018 00:27:38 +0000]
  * Add symbols file hack for Raspbian.
  * Fix clean target.

  [changes introduced in 1.12.1+dfsg-2+rpi1 by Peter Michael Green]
  * Disable testsuite.

  [changes introduced in 1.12.2+dfsg-1+rpi1 by Peter Michael Green]
  * Mark another symbol as optional. I'm guessing the presence or absesne of
    this one depends on optimisation descisions by the compiler and/or the
    version of libstdc++

  [changes introduced in 1.13.1-2+rpi1 by Peter Michael Green]
  * Extend symbols file hack.

  [changes introduced in 1.22.0-4+rpi1 by Peter Michael Green]
  * Further extend symbols file hack.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 19 Jan 2023 11:57:19 +0000

qbs (1.24.0+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update symbols from buildlogs (Closes: #1027474).

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Jan 2023 00:39:26 +0100

qbs (1.24.0+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Adjust Qt 6 B-Ds to account for renaming.
  * Update symbols from buildlogs (Closes: #1027474).

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Jan 2023 14:25:13 +0100

qbs (1.24.0+dfsg-2) unstable; urgency=medium

  * Copy a patch from qtscript to add s390x support.
  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 30 Nov 2022 17:13:12 +0300

qbs (1.24.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqbscore1.23.symbols for riscv64.
  * Rename libqbscore1.23 to libqbscore1.24 for upstream SONAME change.
  * Switch from Qt 5 to Qt 6.
    - Add libqbsscriptengine1.24 package (port of QtScript to Qt 6).
  * Document copyright of src/shared/qtscript/*.
  * Repack the tarball to exclude uncertainly licensed tests.
  * Override some false-positive source-is-missing Lintian errors.
  * Refresh debian/patches/skip_test_concurrent.diff.
  * Drop doc_Install_man_pages_with_cmake.diff, applied upstream.
  * Pass -DQBS_INSTALL_MAN_PAGE=yes to dh_auto_configure.
  * Install one new header file (deprecationwarningmode.h).
  * Update debian/libqbscore1.24.symbols from the current logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Nov 2022 14:24:52 +0300

qbs (1.23.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a patch to link with atomic library when using address sanitizer,
    to fix test failure on armel (see #1016041).
  * Update debian/libqbscore1.23.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Aug 2022 14:41:45 +0300

qbs (1.23.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop cmake_regex_syntax.diff, applied upstream.
  * Refresh test_sanitizers_only_on_amd64.diff.
  * Rename libqbscore1.22 to libqbscore1.23 for upstream SONAME change.
  * Install one new file (asan.qbs).
  * Update debian/libqbscore1.23.symbols for GCC 12 (closes: #1013020).
  * Do not build documentation in build-arch target (closes: #1011159).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Jul 2022 23:38:44 +0300

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               libqt6opengl6-dev,
                pkg-kde-tools,
                python3-bs4,
                python3-lxml,
-               qtbase5-dev (>= 5.14.0),
-               qtbase5-private-dev,
-               qtdeclarative5-private-dev,
-               qtscript5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Build-Depends-Indep: libqt5sql5-sqlite
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://wiki.qt.io/Qbs
@@ -48,7 +47,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.22
+Package: libqbscore1.24
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -61,11 +60,25 @@
  .
  This package contains Qbs core shared library.
 
+Package: libqbsscriptengine1.24
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qbs script engine library
+ Qbs is a general purpose cross-platform build tool that aims at fast and
+ correct incremental builds. It features a project description language that
+ is similar to QML.
+ .
+ This package contains Qbs script engine shared library.
+
 Package: qbs-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.22 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore1.24 (= ${binary:Version}),
+         libqbsscriptengine1.24 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that
@@ -96,7 +109,7 @@
  is similar to QML.
  .
  This package contains the documentation for Qbs in QCH format, which can be
- viewed using Qt Assistant from qttools5-dev-tools package.
+ viewed using Qt Assistant from assistant-qt6 package.
 
 Package: qbs-doc-html
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,25 @@
 
 BUILDPATH ?= obj-$(DEB_HOST_GNU_TYPE)
 
-export QT_SELECT := qt5
-
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake
 
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -type f -name .gitignore -delete -print
+	sed -i 's/(optional=meh)/(arch=armel)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh2)/(arch=!armel)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh3)/(arch=armel riscv64)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh4)/(arch=!armel !riscv64)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh5)/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/' debian/libqbscore1.*.symbols
+	rm -rf doc/qbs
 
 override_dh_auto_configure:
+	sed -i 's/(arch=armel)/(optional=meh)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=!armel)/(optional=meh2)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=armel riscv64)/(optional=meh3)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=!armel !riscv64)/(optional=meh4)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/(optional=meh5)/' debian/libqbscore1.*.symbols
 	dh_auto_configure -- \
 		-DQBS_ENABLE_RPATH=no \
 		-DWITH_TESTS=yes \
@@ -24,8 +33,20 @@
 		-DQBS_INSTALL_PREFIX=/usr \
 		-DQBS_LIB_INSTALL_DIR=lib/${DEB_HOST_MULTIARCH} \
 		-DQBS_PLUGINS_INSTALL_BASE=lib/${DEB_HOST_MULTIARCH} \
+		-DQBS_INSTALL_MAN_PAGE=yes \
 		-DQBS_INSTALL_HTML_DOCS=yes \
 		-DQBS_INSTALL_QCH_DOCS=yes
+
+override_dh_auto_build-arch:
+	dh_auto_build -- -C src
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	dh_auto_build -- -C share
+	dh_auto_build -- -C tests
+endif
+
+override_dh_auto_install-arch:
+	dh_auto_install -- -C src
+	dh_auto_install -- -C doc/man
 
 override_dh_auto_build-indep:
 	dh_auto_build --no-parallel -- -C doc
@@ -36,7 +57,7 @@
 	dh_auto_install -- -C share
 
 override_dh_auto_test-arch:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),testsuitedisabled)
 	set -ex; \
 		export LD_LIBRARY_PATH=$(BUILDPATH)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
 		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
@@ -44,7 +65,7 @@
 		export QBS_AUTOTEST_ALWAYS_LOG_STDOUT=1; \
 		export QBS_AUTOTEST_ALWAYS_LOG_STDERR=1; \
 		$(BUILDPATH)/bin/qbs-setup-toolchains /usr/bin/gcc gcc; \
-		$(BUILDPATH)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
+		$(BUILDPATH)/bin/qbs-setup-qt /usr/bin/qmake6 qbs_autotests; \
 		[ -n "`$(BUILDPATH)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
 			$(BUILDPATH)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
 		LC_ALL=C.UTF-8 dh_auto_test --max-parallel=1

## qbs 1.24.1+dfsg

=== src/lib/msbuild/CMakeLists.txt ===
set(SOLUTION_SOURCES
    ivisualstudiosolutionproject.cpp
    ivisualstudiosolutionproject.h
    visualstudiosolutionfileproject.cpp
    visualstudiosolutionfileproject.h
    visualstudiosolutionfolderproject.cpp
    visualstudiosolutionfolderproject.h
    visualstudiosolution.cpp
    visualstudiosolution.h
    visualstudiosolutionglobalsection.cpp
    visualstudiosolutionglobalsection.h
    )
list_transform_prepend(SOLUTION_SOURCES solution/)

set(MSBUILD_SOURCES
    imsbuildgroup.cpp
    imsbuildgroup.h
    imsbuildnode.cpp
    imsbuildnode.h
    imsbuildnodevisitor.h
    msbuildimport.cpp
    msbuildimport.h
    msbuildimportgroup.cpp
    msbuildimportgroup.h
    msbuilditem.cpp
    msbuilditem.h
    msbuilditemdefinitiongroup.cpp
    msbuilditemdefinitiongroup.h
    msbuilditemgroup.cpp
    msbuilditemgroup.h
    msbuilditemmetadata.cpp
    msbuilditemmetadata.h
    msbuildproject.cpp
    msbuildproject.h
    msbuildproperty.cpp
    msbuildproperty.h
    msbuildpropertybase.cpp
    msbuildpropertybase.h
    msbuildpropertygroup.cpp
    msbuildpropertygroup.h
    )
list_transform_prepend(MSBUILD_SOURCES msbuild/)

set(MSBUILD_ITEMS_SOURCES
    msbuildclcompile.cpp
    msbuildclcompile.h
    msbuildclinclude.cpp
    msbuildclinclude.h
    msbuildfileitem.cpp
    msbuildfileitem.h
    msbuildfilter.cpp
    msbuildfilter.h
    msbuildlink.cpp
    msbuildlink.h
    msbuildnone.cpp
    msbuildnone.h
    )
list_transform_prepend(MSBUILD_ITEMS_SOURCES msbuild/items/)

set(IO_SOURCES
    msbuildprojectwriter.cpp
    msbuildprojectwriter.h
    visualstudiosolutionwriter.cpp
    visualstudiosolutionwriter.h
    )
list_transform_prepend(IO_SOURCES io/)

add_qbs_library(qbsmsbuild
    STATIC
    DEPENDS qbscore
    SOURCES ${SOLUTION_SOURCES} ${MSBUILD_SOURCES} ${MSBUILD_ITEMS_SOURCES} ${IO_SOURCES}
    )

=== tests/auto/language/CMakeLists.txt ===
add_qbs_test(language
    DEFINES
        "QBS_VERSION=\"${QBS_VERSION}\""
    DEPENDS
        qbsscriptengine
    SOURCES
        tst_language.cpp
        tst_language.h
    )

=== debian/changelog ===
qbs (1.24.1+dfsg-2) unstable; urgency=medium

  * Add a patch to find qdoc directly, to fix arch:all build.
  * Prevent dh_compress from compressing qbs.qch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Mar 2023 20:28:50 +0300

qbs (1.24.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Mark some symbols that disappear with -O3 as optional.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Mar 2023 21:02:25 +0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qt6-base-private-dev,
                qt6-declarative-dev,
                qt6-tools-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git

=== debian/rules ===
--- 
+++ 
@@ -13,19 +13,8 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -type f -name .gitignore -delete -print
-	sed -i 's/(optional=meh)/(arch=armel)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh2)/(arch=!armel)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh3)/(arch=armel riscv64)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh4)/(arch=!armel !riscv64)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh5)/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/' debian/libqbscore1.*.symbols
-	rm -rf doc/qbs
 
 override_dh_auto_configure:
-	sed -i 's/(arch=armel)/(optional=meh)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=!armel)/(optional=meh2)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=armel riscv64)/(optional=meh3)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=!armel !riscv64)/(optional=meh4)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/(optional=meh5)/' debian/libqbscore1.*.symbols
 	dh_auto_configure -- \
 		-DQBS_ENABLE_RPATH=no \
 		-DWITH_TESTS=yes \
@@ -57,7 +46,7 @@
 	dh_auto_install -- -C share
 
 override_dh_auto_test-arch:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),testsuitedisabled)
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	set -ex; \
 		export LD_LIBRARY_PATH=$(BUILDPATH)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
 		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
@@ -72,3 +61,6 @@
 endif
 
 override_dh_auto_test-indep:
+
+override_dh_compress:
+	dh_compress --exclude=.qch

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qbs/([\d\.]*)/qbs-src-([^-]*)\.tar\.gz

## qbs 2.1.1

=== debian/changelog ===
qbs (2.1.1-2) unstable; urgency=medium

  * Update debian/libqbscore2.1.symbols from buildds’ logs.
  * Mark more symbols that disappear with -O3 as optional.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Aug 2023 20:44:00 +0300

qbs (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop quickjs_32bit_build.diff, included in the new release.
  * Update debian/libqbscore2.1.symbols from buildds’ and current build logs.
  * Update debian/patches/test_sanitizers_only_on_amd64.diff so it
    applies also to address sanitizer.
  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Aug 2023 19:58:53 +0300

qbs (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Stop repacking the upstream tarball, no longer needed.
  * Drop patches, not needed due to removal of qtscript:
    - disable_tests_qtscript.diff
    - s390x_jscore.diff
  * Also drop find_qdoc.diff, included in the new release.
  * Refresh other patches.
  * Update debian/copyright.
  * Drop debian/source/lintian-overrides, no longer needed.
  * Drop libqbsscriptengine1.24 package.
  * Update debian/qbs-dev.install.
  * Rename libqbscore1.24 to libqbscore2.1 for upstream SONAME change.
  * Backport two upstream patches to fix build on 32-bit architectures.
  * Update debian/libqbscore2.1.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Aug 2023 23:10:30 +0300

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.24
+Package: libqbscore2.1
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -60,25 +60,11 @@
  .
  This package contains Qbs core shared library.
 
-Package: libqbsscriptengine1.24
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qbs script engine library
- Qbs is a general purpose cross-platform build tool that aims at fast and
- correct incremental builds. It features a project description language that
- is similar to QML.
- .
- This package contains Qbs script engine shared library.
-
 Package: qbs-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.24 (= ${binary:Version}),
-         libqbsscriptengine1.24 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libqbscore2.1 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

## qbs 2.1.2

=== tests/CMakeLists.txt ===
add_subdirectory(auto)
add_subdirectory(benchmarker)
add_subdirectory(fuzzy-test)

=== src/lib/corelib/CMakeLists.txt ===
set(QBS_HEADERS qbs.h)

set(FILE_UPDATE_SOURCES
    changeset.cpp
    changeset.h
    projectfileupdater.cpp
    projectfileupdater.h
    qmljsrewriter.cpp
    qmljsrewriter.h
    )
list_transform_prepend(FILE_UPDATE_SOURCES api/)

set(API_SOURCES
    internaljobs.cpp
    internaljobs.h
    jobs.cpp
    languageinfo.cpp
    project.cpp
    project_p.h
    projectdata.cpp
    projectdata_p.h
    propertymap_p.h
    rulecommand.cpp
    rulecommand_p.h
    runenvironment.cpp
    transformerdata.cpp
    transformerdata_p.h
    )
list_transform_prepend(API_SOURCES api/)

set(API_HEADERS
    jobs.h
    languageinfo.h
    project.h
    projectdata.h
    rulecommand.h
    runenvironment.h
    transformerdata.h
    )
list_transform_prepend(API_HEADERS api/)

set(BUILD_GRAPH_SOURCES
    abstractcommandexecutor.cpp
    abstractcommandexecutor.h
    artifact.cpp
    artifact.h
    artifactcleaner.cpp
    artifactcleaner.h
    artifactsscriptvalue.cpp
    artifactsscriptvalue.h
    artifactvisitor.cpp
    artifactvisitor.h
    buildgraph.cpp
    buildgraph.h
    buildgraphnode.cpp
    buildgraphnode.h
    buildgraphloader.cpp
    buildgraphloader.h
    buildgraphvisitor.h
    cycledetector.cpp
    cycledetector.h
    dependencyparametersscriptvalue.cpp
    dependencyparametersscriptvalue.h
    depscanner.cpp
    depscanner.h
    emptydirectoriesremover.cpp
    emptydirectoriesremover.h
    environmentscriptrunner.cpp
    environmentscriptrunner.h
    executor.cpp
    executor.h
    executorjob.cpp
    executorjob.h
    filedependency.cpp
    filedependency.h
    inputartifactscanner.cpp
    inputartifactscanner.h
    jscommandexecutor.cpp
    jscommandexecutor.h
    nodeset.cpp
    nodeset.h
    nodetreedumper.cpp
    nodetreedumper.h
    processcommandexecutor.cpp
    processcommandexecutor.h
    productbuilddata.cpp
    productbuilddata.h
    productinstaller.cpp
    productinstaller.h
    projectbuilddata.cpp
    projectbuilddata.h
    qtmocscanner.cpp
    qtmocscanner.h
    rawscanneddependency.cpp
    rawscanneddependency.h
    rawscanresults.cpp
    rawscanresults.h
    requestedartifacts.cpp
    requestedartifacts.h
    requesteddependencies.cpp
    requesteddependencies.h
    rescuableartifactdata.h
    rulecommands.cpp
    rulecommands.h
    rulegraph.cpp
    rulegraph.h
    rulenode.cpp
    rulenode.h
    rulesapplicator.cpp
    rulesapplicator.h
    rulesevaluationcontext.cpp
    rulesevaluationcontext.h
    timestampsupdater.cpp
    timestampsupdater.h
    transformer.cpp
    transformer.h
    transformerchangetracking.cpp
    transformerchangetracking.h
    )
list_transform_prepend(BUILD_GRAPH_SOURCES buildgraph/)

set(BUILD_GRAPH_HEADERS buildgraph/forward_decls.h)

set(GENERATORS_SOURCES
    generatableprojectiterator.cpp
    generatableprojectiterator.h
    generator.cpp
    generatordata.cpp
    generatorutils.cpp
    generatorutils.h
    generatorversioninfo.cpp
    generatorversioninfo.h
    igeneratableprojectvisitor.h
    ixmlnodevisitor.h
    xmlproject.cpp
    xmlproject.h
    xmlprojectwriter.cpp
    xmlprojectwriter.h
    xmlproperty.cpp
    xmlproperty.h
    xmlpropertygroup.cpp
    xmlpropertygroup.h
    xmlworkspace.cpp
    xmlworkspace.h
    xmlworkspacewriter.cpp
    xmlworkspacewriter.h
    )
list_transform_prepend(GENERATORS_SOURCES generators/)

set(GENERATORS_HEADERS generators/generator.h generators/generatordata.h)

set(JS_EXTENSIONS_SOURCES
    environmentextension.cpp
    file.cpp
    fileinfoextension.cpp
    host.cpp
    jsextensions.cpp
    jsextensions.h
    moduleproperties.cpp
    moduleproperties.h
    pkgconfigjs.cpp
    pkgconfigjs.h
    process.cpp
    temporarydir.cpp
    textfile.cpp
    binaryfile.cpp
    utilitiesextension.cpp
    domxml.cpp
    )
list_transform_prepend(JS_EXTENSIONS_SOURCES jsextensions/)

if(APPLE)
    set(JS_EXTENSIONS_MACOS_SOURCES
        propertylist_darwin.mm
        propertylistutils.h
        propertylistutils.mm
        )
else()
    set(JS_EXTENSIONS_MACOS_SOURCES propertylist.cpp)
endif()
list_transform_prepend(JS_EXTENSIONS_MACOS_SOURCES jsextensions/)

set(LANGUAGE_SOURCES
    artifactproperties.cpp
    artifactproperties.h
    asttools.cpp
    asttools.h
    builtindeclarations.cpp
    builtindeclarations.h
    deprecationinfo.h
    evaluator.cpp
    evaluator.h
    filecontext.cpp
    filecontext.h
    filecontextbase.cpp
    filecontextbase.h
    filetags.cpp
    filetags.h
    identifiersearch.cpp
    identifiersearch.h
    item.cpp
    item.h
    itemdeclaration.cpp
    itemdeclaration.h
    itemobserver.h
    itempool.cpp
    itempool.h
    itemtype.h
    jsimports.h
    language.cpp
    language.h
    moduleproviderinfo.h
    preparescriptobserver.cpp
    preparescriptobserver.h
    property.cpp
    property.h
    propertydeclaration.cpp
    propertydeclaration.h
    propertymapinternal.cpp
    propertymapinternal.h
    qualifiedid.cpp
    qualifiedid.h
    resolvedfilecontext.cpp
    resolvedfilecontext.h
    scriptengine.cpp
    scriptengine.h
    scriptimporter.cpp
    scriptimporter.h
    scriptpropertyobserver.cpp
    scriptpropertyobserver.h
    value.cpp
    value.h
    )
list_transform_prepend(LANGUAGE_SOURCES language/)

set(LANGUAGE_HEADERS language/forward_decls.h)

set(LOADER_SOURCES
    astimportshandler.cpp
    astimportshandler.h
    astpropertiesitemhandler.cpp
    astpropertiesitemhandler.h
    dependenciesresolver.cpp
    dependenciesresolver.h
    groupshandler.cpp
    groupshandler.h
    itemreader.cpp
    itemreader.h
    itemreaderastvisitor.cpp
    itemreaderastvisitor.h
    itemreadervisitorstate.cpp
    itemreadervisitorstate.h
    loaderutils.cpp
    loaderutils.h
    localprofiles.cpp
    localprofiles.h
    moduleinstantiator.cpp
    moduleinstantiator.h
    moduleloader.cpp
    moduleloader.h
    modulepropertymerger.cpp
    modulepropertymerger.h
    moduleproviderloader.cpp
    moduleproviderloader.h
    probesresolver.cpp
    probesresolver.h
    productitemmultiplexer.cpp
    productitemmultiplexer.h
    productscollector.cpp
    productscollector.h
    productshandler.cpp
    productshandler.h
    projectresolver.cpp
    projectresolver.h
    )
list_transform_prepend(LOADER_SOURCES loader/)

set(LOGGING_SOURCES
    categories.cpp
    categories.h
    ilogsink.cpp
    logger.cpp
    logger.h
    translator.h
    )
list_transform_prepend(LOGGING_SOURCES logging/)

set(LOGGING_HEADERS logging/ilogsink.h)

set(PARSER_SOURCES
    qmlerror.cpp
    qmlerror.h
    qmljsast.cpp
    qmljsast_p.h
    qmljsastfwd_p.h
    qmljsastvisitor.cpp
    qmljsastvisitor_p.h
    qmljsengine_p.cpp
    qmljsengine_p.h
    qmljsglobal_p.h
    qmljsgrammar.cpp
    qmljsgrammar_p.h
    qmljskeywords_p.h
    qmljslexer.cpp
    qmljslexer_p.h
    qmljsmemorypool_p.h
    qmljsparser.cpp
    qmljsparser_p.h
    )
list_transform_prepend(PARSER_SOURCES parser/)

set(TOOLS_SOURCES
    architectures.cpp
    buildgraphlocker.cpp
    buildgraphlocker.h
    buildoptions.cpp
    clangclinfo.cpp
    clangclinfo.h
    cleanoptions.cpp
    codelocation.cpp
    commandechomode.cpp
    deprecationwarningmode.cpp
    dynamictypecheck.h
    error.cpp
    executablefinder.cpp
    executablefinder.h
    fileinfo.cpp
    fileinfo.h
    filesaver.cpp
    filesaver.h
    filetime.cpp
    filetime.h
    generateoptions.cpp
    hostosinfo.h
    id.cpp
    id.h
    iosutils.h
    joblimits.cpp
    jsliterals.cpp
    jsliterals.h
    jsonhelper.h
    installoptions.cpp
    launcherinterface.cpp
    launcherinterface.h
    launcherpackets.cpp
    launcherpackets.h
    launchersocket.cpp
    launchersocket.h
    msvcinfo.cpp
    msvcinfo.h
    pathutils.h
    pimpl.h
    persistence.cpp
    persistence.h
    porting.h
    preferences.cpp
    processresult.cpp
    processresult_p.h
    processutils.cpp
    processutils.h
    profile.cpp
    profiling.cpp
    profiling.h
    progressobserver.cpp
    progressobserver.h
    projectgeneratormanager.cpp
    propagate_const.h
    qbsassert.cpp
    qbsassert.h
    qbspluginmanager.cpp
    qbspluginmanager.h
    qbsprocess.cpp
    qbsprocess.h
    qttools.cpp
    qttools.h
    scannerpluginmanager.cpp
    scannerpluginmanager.h
    scripttools.cpp
    scripttools.h
    set.h
    settings.cpp
    settingscreator.cpp
    settingscreator.h
    settingsmodel.cpp
    settingsrepresentation.cpp
    setupprojectparameters.cpp
    shellutils.cpp
    shellutils.h
    stlutils.h
    stringconstants.h
    stringutils.h
    toolchains.cpp
    version.cpp
    visualstudioversioninfo.cpp
    visualstudioversioninfo.h
    vsenvironmentdetector.cpp
    vsenvironmentdetector.h
    weakpointer.h
    )
list_transform_prepend(TOOLS_SOURCES tools/)

set(TOOLS_HEADERS
    architectures.h
    buildoptions.h
    cleanoptions.h
    codelocation.h
    commandechomode.h
    deprecationwarningmode.h
    error.h
    generateoptions.h
    installoptions.h
    joblimits.h
    preferences.h
    processresult.h
    profile.h
    projectgeneratormanager.h
    qbs_export.h
    settings.h
    settingsmodel.h
    settingsrepresentation.h
    setupprojectparameters.h
    toolchains.h
    version.h
    )
list_transform_prepend(TOOLS_HEADERS tools/)

set(EXTERNAL_DEPENDS "")
if(APPLE)
    set(TOOLS_MACOS_SOURCES
        applecodesignutils.cpp
        applecodesignutils.h
        )
    list_transform_prepend(TOOLS_MACOS_SOURCES tools/)
    set(EXTERNAL_DEPENDS "-framework Foundation" "-framework Security")
endif()

if(WIN32)
    set(EXTERNAL_DEPENDS "psapi" "shell32")
endif()

add_qbs_library(qbscore
    DEFINES
        "QBS_VERSION=\"${QBS_VERSION}\""
        "QBS_RELATIVE_LIBEXEC_PATH=\"${QBS_RELATIVE_LIBEXEC_PATH}\""
        "QBS_LIBRARY"
        ${QBS_UNIT_TESTS_DEFINES}
    DEPENDS
        Qt${QT_VERSION_MAJOR}::CorePrivate
        Qt${QT_VERSION_MAJOR}::Network
        Qt${QT_VERSION_MAJOR}::Xml
        Qt6Core5Compat
        qbspkgconfig
        qbsquickjs
    PUBLIC_DEPENDS
        Qt${QT_VERSION_MAJOR}::Core
        ${EXTERNAL_DEPENDS}
    INCLUDES
        "${CMAKE_CURRENT_SOURCE_DIR}/../.."
    SOURCES
        ${QBS_HEADERS}
        ${FILE_UPDATE_SOURCES}
        ${API_SOURCES}
        ${API_HEADERS}
        ${BUILD_GRAPH_SOURCES}
        ${BUILD_GRAPH_HEADERS}
        ${GENERATORS_SOURCES}
        ${GENERATORS_HEADERS}
        ${JS_EXTENSIONS_SOURCES}
        ${JS_EXTENSIONS_MACOS_SOURCES}
        ${LANGUAGE_SOURCES}
        ${LANGUAGE_HEADERS}
        ${LOADER_SOURCES}
        ${LOGGING_SOURCES}
        ${LOGGING_HEADERS}
        ${PARSER_SOURCES}
        ${TOOLS_SOURCES}
        ${TOOLS_HEADERS}
        ${TOOLS_MACOS_SOURCES}
    )

# not sure if there's a better way to do this
if(INSTALL_PUBLIC_HEADERS)
    install(FILES ${QBS_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR})
    install(FILES ${API_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/api)
    install(FILES ${BUILD_GRAPH_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/buildgraph)
    install(FILES ${GENERATORS_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/generators)
    install(FILES ${LOGGING_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/logging)
    install(FILES ${LANGUAGE_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/language)
    install(FILES ${TOOLS_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/tools)
endif()

=== src/shared/json/CMakeLists.txt ===
add_qbs_library(qbsjson
    STATIC
    SOURCES json.cpp json.h
    )

=== tests/auto/blackbox/CMakeLists.txt ===
add_qbs_test(blackbox
    DEFINES
        ${QBS_UNIT_TESTS_DEFINES}
        "QBS_VERSION=\"${QBS_VERSION}\""
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackbox.cpp
        tst_blackbox.h
    )

add_qbs_test(blackbox-android
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxandroid.cpp
        tst_blackboxandroid.h
    )

add_qbs_test(blackbox-apple
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxapple.cpp
        tst_blackboxapple.h
    )

add_qbs_test(blackbox-baremetal
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxbaremetal.cpp
        tst_blackboxbaremetal.h
    )

add_qbs_test(blackbox-clangdb
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_clangdb.cpp
        tst_clangdb.h
    )

add_qbs_test(blackbox-java
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxjava.cpp
        tst_blackboxjava.h
    )

add_qbs_test(blackbox-joblimits
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxjoblimits.cpp
    )

add_qbs_test(blackbox-providers
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxproviders.cpp
    )

add_qbs_test(blackbox-qt
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxqt.cpp
        tst_blackboxqt.h
    )

add_qbs_test(blackbox-windows
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxwindows.cpp
        tst_blackboxwindows.h
    )

=== debian/changelog ===
qbs (2.1.2-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:42:51 +1100

qbs (2.1.2-2.1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:56:01 +0000

qbs (2.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062711

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:29:48 +0000

qbs (2.1.2-2) unstable; urgency=medium

  * Update debian/libqbscore2.1.symbols for loong64 (closes: #1057757).
  * Also update debian/libqbscore2.1.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Dec 2023 13:54:19 +0300

qbs (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop quickjs_32bit_float64_tag.diff, applied upstream.
  * Refresh asan_atomic.diff.
  * Update debian/libqbscore2.1.symbols for sparc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Sep 2023 22:18:32 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: qbs
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 13),
                libqt6opengl6-dev,
                pkg-kde-tools,
@@ -47,7 +48,10 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore2.1
+Package: libqbscore2.1t64
+Provides: ${t64:Provides}
+Replaces: libqbscore2.1
+Breaks: libqbscore2.1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -64,7 +68,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore2.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore2.1t64 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

## qbs 2.3.1

=== debian/changelog ===
qbs (2.3.1-6) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols fifth time in a row.
  * Use dpkg-build-api level 1, drop explicit Rules-Requires-Root: no.
  * Do not build with -O3 on Ubuntu ppc64el, that causes link failures.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Jul 2024 15:40:19 +0300

qbs (2.3.1-5) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols for GCC 14 (closes: #1075426).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Jul 2024 00:03:41 +0300

qbs (2.3.1-4) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols again, this time for Qt 6.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jun 2024 21:54:49 +0300

qbs (2.3.1-3) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols from buildds’ logs.
  * Merge two symbols for bucketsForCapacity() (closes: #1072386).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Jun 2024 16:40:32 +0300

qbs (2.3.1-2) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 May 2024 11:09:39 +0300

qbs (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a patch to make the linkerMode test pass on all architectures.
  * Update debian/libqbscore2.3.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 11 May 2024 18:24:25 +0300

qbs (2.3.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Acknowledge NMU, thanks Benjamin Drung!
  * Mark four symbols as optional to fix build with Qt 6.6.
  * New upstream release.
  * Rename libqbscore2.1t64 to libqbscore2.3 for upstream SONAME change.
    - Drop t64-related Provides, Breaks/Replaces and lintian-overrides.
  * Update debian/libqbscore2.3.symbols from buildds’ and current logs.
  * Update debian/copyright.
  * Remove libqt6opengl6-dev build-dependency (merged into qt6-base-dev).
  * Update install files.
  * Bump Standards-Version to 4.7.0, no changes needed.

  [ Bo YU ]
  * Increase the timeout of qtest with QTEST_FUNCTION_TIMEOUT for riscv64.
    (Closes: #1059264)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 May 2024 21:30:49 +0300

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,22 @@
 Source: qbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               libqt6opengl6-dev,
+               dpkg-build-api (= 1),
                pkg-kde-tools,
                python3-bs4,
                python3-lxml,
                qt6-5compat-dev,
-               qt6-base-dev,
+               qt6-base-dev (>= 6.4.2+dfsg-12~),
                qt6-base-private-dev,
                qt6-declarative-dev,
                qt6-tools-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
@@ -48,10 +45,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore2.1t64
-Provides: ${t64:Provides}
-Replaces: libqbscore2.1
-Breaks: libqbscore2.1 (<< ${source:Version})
+Package: libqbscore2.3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -68,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore2.1t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore2.3 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,17 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/default.mk
+
+ifeq (riscv64,$(DEB_BUILD_ARCH_CPU))
+export QTEST_FUNCTION_TIMEOUT=900000
+endif
+
+ifeq ($(call dpkg_vendor_derives_from,ubuntu),yes)
+ifeq (ppc64el,$(DEB_HOST_ARCH))
+export DEB_CXXFLAGS_MAINT_STRIP=-O3
+export DEB_CXXFLAGS_MAINT_APPEND=-O2
+endif
+endif
 
 BUILDPATH ?= obj-$(DEB_HOST_GNU_TYPE)
